private void editableList1_TextBox_Leave(object sender, EventArgs e)
		{

			PatientNoteTypeDto patNoteType = new PatientNoteTypeDto();

			patNoteType.Description = editableList1.ListBox.SelectedItem.ToString();
			
			if (_PatientNoteTypeController.IsValidPatientNoteType(patNoteType))
			{
				IList<PatientNoteTypeDto> noteTypes = _PatientNoteTypeController.GetPatientNoteTypes();

				PatientNoteTypeDto Note = new PatientNoteTypeDto();
				// Add Patient Note Type.
				if ( (noteTypes.Count == 0) || (String.IsNullOrEmpty(strOriginalNoteTypeValue)) )
				{
					Note.Description = editableList1.ListBox.SelectedItem.ToString();
					_PatientNoteTypeController.AddPatientNoteTypes(Note);
					this.editableList1.ListBox.SelectedIndex = -1;
					return;
				}
				// Update Patient Note Type
				foreach (PatientNoteTypeDto patientNoteType in noteTypes)
				{
					if ((strOriginalNoteTypeValue == patientNoteType.Description) && (!(String.IsNullOrEmpty(strOriginalNoteTypeValue))))
					{
						Note.PatientNoteTypeID = patientNoteType.PatientNoteTypeID;
						Note.Description = this.editableList1.ListBox.SelectedItem.ToString();
						_PatientNoteTypeController.UpdatePatientNoteTypes(Note);
						break;
					}
					
				}
				this.editableList1.ListBox.SelectedIndex = -1;
				
			}
			else
			{
				this.editableList1.TextBox.Focus();
				this.editableList1.Editing = true;
			}

		}